POV-Ray : Newsgroups : povray.programming : qtpovray and debian : Re: qtpovray and debian Server Time
27 Sep 2022 14:36:32 EDT (-0400)
  Re: qtpovray and debian  
From: jr
Date: 25 Jun 2018 06:05:01
Message: <web.5b30be0e1b94875a635cc5ad0@news.povray.org>
hi,

dick balaska <dic### [at] buckosoftcom> wrote:
> I am working on two packages
> qtpovray-3.80.0
> qtpovray-includes-3.80.0
>
> 1) qtpovray-includes contains include  and Insert Menu. It should
> probably contain the help too.
> I am torn between just the one "architecture independent" package which
> contains everything, or should I split that up into multiple packages.
> Or, stay with one package and call it qtpovray-extra

speaking as a potential end user, a single archive is much nicer.  :-)

> 2) I'm not happy with the version number (3.80.0) because I have
> /usr/share/povray-3.7
> and
> /usr/share/qtpovray-3.80
> I get it, but I don't like the way it implies qtpovray is 73 minors
> beyond povray.  Is is more, or less, confusing to have qtpovray-3.80.0
> reference /usr/share/qtpovray-3.8 ?

both would be "confusing" imo.  this is the first release of qtpovray, so why
not "qtpovray-1.0.0"?  I'd expect the documentation (NEWS, README, INSTALL) to
tell me "external dependencies".

> 3) I want to release a shell version of qtpovray, comparable to original
> flavor povray, but povray 3.8-beta and built with qmake.  I need this
> for my renderfarm. But, what to call it?  I'm leaning towards qtpovrayc.

assuming that's a typo and you meant 'qtpovrayrc', fits in with conventions.

$0.02  :-)


regards, jr.


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.